Bug 1238326 (CVE-2015-3278) - CVE-2015-3278 nss_compat_ossl: incorrect multi-keyword mode cipherstring parsing
Summary: CVE-2015-3278 nss_compat_ossl: incorrect multi-keyword mode cipherstring parsing
Status: CLOSED WONTFIX
Alias: CVE-2015-3278
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150715,repor...
Keywords: Security
Depends On: 1243519
Blocks: 1238331
TreeView+ depends on / blocked
 
Reported: 2015-07-01 15:29 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:39 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-14 09:28:35 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-07-01 15:29:41 UTC
It was reported that cipherstring parsing code incorrectly implements the multi-keyword mode in nss_compat_ossl.

As a consequence anyone using a combination like

  ECDH+SHA

will not get the expected set of ciphers

  ECDH-RSA-RC4-SHA
  ECDH-RSA-DES-CBC3-SHA
  ECDH-RSA-AES128-SHA
  ECDH-RSA-AES256-SHA
  ECDH-ECDSA-RC4-SHA
  ECDH-ECDSA-DES-CBC3-SHA
  ECDH-ECDSA-AES128-SHA
  ECDH-ECDSA-AES256-SHA
  ECDHE-RSA-RC4-SHA
  ECDHE-RSA-DES-CBC3-SHA
  ECDHE-RSA-AES128-SHA
  ECDHE-RSA-AES256-SHA
  ECDHE-ECDSA-RC4-SHA
  ECDHE-ECDSA-DES-CBC3-SHA
  ECDHE-ECDSA-AES128-SHA
  ECDHE-ECDSA-AES256-SHA

but instead will match

  DES-CBC-SHA
  DES-CBC3-SHA
  RC4-SHA
  EDH-RSA-DES-CBC-SHA
  EDH-RSA-DES-CBC3-SHA
  EDH-DSS-DES-CBC-SHA
  EDH-DSS-DES-CBC3-SHA
  EXP1024-DES-CBC-SHA
  EXP1024-RC4-SHA
  SEED-SHA
  AES128-SHA
  AES256-SHA
  CAMELLIA256-SHA
  CAMELLIA128-SHA
  DHE-RSA-AES128-SHA
  DHE-RSA-AES256-SHA
  DHE-RSA-CAMELLIA128-SHA
  DHE-RSA-CAMELLIA256-SHA
  DHE-DSS-RC4-SHA
  DHE-DSS-AES128-SHA
  DHE-DSS-AES256-SHA
  DHE-DSS-CAMELLIA128-SHA
  DHE-DSS-CAMELLIA256-SHA
  ECDH-RSA-RC4-SHA
  ECDH-RSA-DES-CBC3-SHA
  ECDH-RSA-AES128-SHA
  ECDH-RSA-AES256-SHA
  ECDH-ECDSA-RC4-SHA
  ECDH-ECDSA-DES-CBC3-SHA
  ECDH-ECDSA-AES128-SHA
  ECDH-ECDSA-AES256-SHA
  ECDHE-RSA-RC4-SHA
  ECDHE-RSA-DES-CBC3-SHA
  ECDHE-RSA-AES128-SHA
  ECDHE-RSA-AES256-SHA
  ECDHE-ECDSA-RC4-SHA
  ECDHE-ECDSA-DES-CBC3-SHA
  ECDHE-ECDSA-AES128-SHA
  ECDHE-ECDSA-AES256-SHA

Acknowledgements:

Red Hat would like to thank Martin Poole of Software Maintenance Engineering group for reporting this issue.


Note You need to log in before you can comment on or make changes to this bug.